Есть альтернативное сочетание клавиш для кнопки "Вверх" в bash?

Недавно я обнаружил, что в терминале сочетание клавиш Ctrl-я такой же, как и вкладки (что очень полезно на моем телефоне, где нет ни стрелок, ни вкладки).

На обычном терминале нажатие кнопки "вверх" переходит в историю.

Есть еще один способ вспомнить последнюю команду?

+949
Rostik2033 4 дек. 2017 г., 8:46:15
27 ответов

Возможные Дубликаты:
Лучший способ настроить кэширование DNS?

Как мне настроить кэширующий DNS-сервер с Ubuntu?

+979
isvforall 03 февр. '09 в 4:24

Была такая же проблема в 12.10 и это сводило меня с ума. Казалось бы, проблема была вызвана с помощью редактора Emacs ключ привязки тему как описано в ссылках даны лицами, за исключением того, что по данным переименовать я использовал по умолчанию.

Я понял, что это сейчас находится в интерфейсом dconf независимо от настроек в gconf.

Для изменения этого откройте dconf и перейдите к:

орг > гном > рабочий стол > интерфейс >ГТК-ключевая тема

Если параметр есть изменения в Emacs по умолчанию.

Проблема решена. Для меня по крайней мере.

+973
CuriousMacUser 6 авг. 2018 г., 14:02:35
Другие ответы

Связанные вопросы


Похожие вопросы

Ок, это то, что я сделал, прежде чем я приземлился на терминал с кучей сообщений об ошибках...


Во-первых, я установил наследником пакетов ruby1.9.1 с помощью apt-получить. (Все те наследником пакетов ruby1.9.1 упаковки, в том числе наследником пакетов ruby1.9.1-примеры и наследником пакетов ruby1.9.1-полный).

Затем, я установил tcl8.5 и бесплатно tk8.5 в том числе их пакеты Дев аналогично.

Затем, я установил libtcltk-наследником пакетов ruby1.9.1

Как и ожидалось, Рубин --версия гласит, что у меня есть

Руби 1.9.3p0 (редакция 2011-10-30 33570) [x86_64 с-Линукс]

Но в ирб, когда я требую 'тк' он говорит:

RuntimeError: tcltklib: не Tk_Init(). Не могу найти подходящий ТЗ.TCL в следующих каталогах: 
/usr/доли/tcltk/tcl8.5/бесплатно tk8.5 /УСР/Либ/бесплатно tk8.5 /usr/местные/библиотека/tcltk/бесплатно tk8.5 /usr/местные/доли/tcltk/бесплатно tk8.5 /УСР/Либ/tcltk/бесплатно tk8.5 /usr/доли/tcltk/бесплатно tk8.5 /Либ/бесплатно tk8.5 в /usr/библиотека

/usr/доли/tcltk/бесплатно tk8.5/ТК.на TCL: версии конфликта для пакета "тк": есть 8.5.10, 8.5.11 нужно точно
конфликт версий для пакета "тк": есть 8.5.10, 8.5.11 нужно точно
во время выполнения
"пакет требуют точное ТЗ 8.5.11"
(файл "/usr/доли/tcltk/бесплатно tk8.5/ТК.линии ЛТК" 18)
вызывается изнутри
"источник /usr/доли/tcltk/бесплатно tk8.5/ТК.Эппл"
("верхнего уровня" линии тела 1)
вызывается изнутри
"верхнего уровня #0 [Источник список файл$]"


Это, вероятно, означает, что ТК не был установлен должным образом.

из /usr/lib в/Рубин/1.9.1/ТК.РБ:31:в `инициализации'
из /usr/lib в/Рубин/1.9.1/ТК.РБ:31:в `инициализации'
из /usr/lib в/Рубин/1.9.1/ТК.РБ:1245:в "новой"
из /usr/lib в/Рубин/1.9.1/ТК.РБ:1245:в блоке, в <модуль:TkCore>'

Аналогичная процедура работал, когда я использовал наследником пакетов ruby1.8 и такая же версия TCL и TK, но это не похоже на работу. Я думаю, что это как-то связано с этими пакетами и их зависимостями.

Так, наконец, мой вопрос: Как установить ТЗ и Руби, если я хочу, чтобы GUI программа тк в наследником пакетов ruby1.9?

+952
user4715 1 апр. 2011 г., 9:19:11

Возможные Дубликаты:
Проблема с GNOME-оболочки-расширения-пользовательские темы

При попытке установить этот пакет, я получаю эту ошибку:

Некоторые пакеты невозможно установить. Это может означать, что у вас есть
просите невозможного, или если вы используете нестабильный
распределение, что некоторые необходимые пакеты еще не созданы или
были удалены из incoming. Следующая информация может помочь
разрешить ситуацию:

Следующие пакеты имеют неудовлетворенные зависимости: 
в GNOME-оболочки-расширения-пользовательские тема : зависит:
гном-Шелл-расширения-общий, но он не будет установлен 

Е: не удалось исправить ошибки, у вас прошла сломанные пакеты.

Как я могу это исправить ?

+860
Nikhil Vidhani 12 авг. 2011 г., 18:57:42

Я играю в Unity 2D, а я испортил мою конфигурацию. Как я могу его восстановить, желательно без потери прочие конфигурационные файлы? (например, эмпатия config в Firefox/хром конфиг, и т. д.)

+766
user32218 23 окт. 2014 г., 12:46:39

Есть ли способ, чтобы мой ПК с моим ноутбуком и передавать команды с клавиатуры?

+677
Danny Schoemann 9 апр. 2010 г., 0:46:48
  1. Откройте клавиатура программы.
  2. В ярлыки вкладки, выберите навигации и прокрутите страницу до конца. Двойной клик на строке и нажмите новое сочетание клавиш.

    enter image description here

+660
eneskaya 15 февр. 2012 г., 18:28:56

Вы не Установка Windows 7 на Ubuntu в качестве программного обеспечения, установке в среде VirtualBox.

Включить виртуализации настройка компьютера в BIOS. После этого, вы можете установить 64-разрядная версия Windows 7 в среде VirtualBox.

+590
user11005 13 янв. 2019 г., 8:17:33

Мне нужно, чтобы использовать шрифты на ФУП, но кажется, что они теперь инвалиды. Я следовал этой теме без успеха. (оба 70-да-растровые изображения.конф и -растровые изображения)

Шрифты видны с xfontsel , но приложение не может видеть/использовать их. Любая идея?

Он используется для работы с Ubuntu 10.10, но я установил 11.10 теперь так подозреваю, в GNOME 3 или Unity, потому что нет никаких проблем с KDE.

+589
scrump 6 авг. 2014 г., 15:56:12

Я видел это, особенно в файле/etc папке, которая, возможно, означает, что она должна быть по умолчанию?

П. С.: Основная причина, по которой спрашиваю Это, добавив, [по умолчанию] в верхней части файла отображает все комментарии в синий цвет, иначе белое в "Ви" редактор.

+573
mikjael 12 янв. 2010 г., 9:32:22

В Konqueror Install konqueror

Описание

Движок Safari и использовать хром (на базе webkit) базируется на движок Konqueror использует (ХТМЛ). Konqueror был изначально интегрирован в рабочий стол KDE как файловый менеджер и веб-браузер по умолчанию.

Скриншот

Konqueror screenshot

+570
David Pusnik 31 янв. 2017 г., 21:52:27

Надеюсь, исправление будет в обновлении 0.12.1, прежде чем дольше. В то же время, это изменение вы должны сделать, чтобы заставить его работать:

https://github.com/ipython/ipython/commit/cb7ff561f33acff72035da212c70def49fd65437

+567
tschundler 25 февр. 2010 г., 8:16:17

Возможные Дубликаты:
Основные веб-разработки IDE/редактор, как Dreamweaver?

Я использовал Adobe в программе Dreamweaver для работы с веб-страницами и различными текстовыми редакторами. У меня уже есть несколько любимых текстовых редакторов, но не мог найти хорошую замену для Dreamweaver? Есть ли рекомендуемый формат HTML WYSIWYG редакторов? Спасибо!

+553
user41965 30 нояб. 2010 г., 20:09:07

Сессия будет в конечном итоге тайм-аут и отключиться; это произойдет быстрее, если настроить параметр serveraliveinterval и ServerAliveCountMax в ~/.по SSH/config файл. Чтобы принудительно отключить, вернуть~..

+481
Anon Coward 2 дек. 2019 г., 14:03:19

Вы можете видеть активных TCP-соединений с помощью команды:

команды netstat --TCP с -НП

Вы, возможно, потребуется запустить этот root или использовать sudo, чтобы получить информацию о процессе с помощью соединения TCP. Обратите внимание, что только потому, что процесс имеет протокол TCP соединения, не означает, что это вызывает проблемы для других доступ к сети.

  • Грег
+436
CPickler 5 июл. 2010 г., 18:23:24

Нажмите на супер ключ и начать печатать "клавиатура" (для вас это будет "абсолютно новый") и откройте "клавиатура" ("Distribución-дель-абсолютно новый"). Кроме того, вы откройте "конфигурация системы" ("Configuración-дель-система") и выбираем "раскладки клавиатуры".

find keyboard layout

Там же вы можете добавить раскладки клавиатуры, щелкнув на кнопке с символом "+" в левом нижнем углу, проверьте раскладку себя, нажимая на маленькие кнопки клавиатуры, и даже изменить некоторые параметры для выбранного макета (кнопка "Параметры..." в правом нижнем углу). Последние позволяют настраивать макет.

keyboard layout window

Как печатать символы аналогично сочетание клавиш Ctrl+АЛТ+цифра, проверить этот вопрос: Как я могу введите символы ASCII аналогично Alt + цифровая клавиатура в Windows?

Если вы только хотите знать, какие сочетания клавиш доступны в вас текущая раскладка клавиатуры, нажмите на маленькую кнопку клавиатуры (выделены розовым цветом на рисунке ниже) после того как вы выбрали макет.

the keyboard layout

Сочетания клавиш являются следующие:

key combinations

+420
Santiago Baldrich 19 февр. 2013 г., 11:29:59

Вам потребуется установить дополнительное программное обеспечение, чтобы получить MacBook, чтобы делать то, что вы хотите. в Убунту вики-страницу здесь предоставляет вам всю информацию, вам нужно, но по существу;

  • Добавить coretemp в список модулей, загруженных в процессе загрузки.
  • Настоятельно рекомендуется использовать контроллер вентиляторов демон, который включен в mactel-поддержка ППА называется macfanctl
+354
Return TM 6 мая 2019 г., 7:35:23

Вы можете попробовать звездочку или Sipwitch , что вы можете найти в репозитории. Если вы хотите GUI, вы можете использовать он сделал оформление для (графический инструмент для Asterisk администрирование и мониторинг).

+289
TYZRPVX 1 нояб. 2016 г., 3:02:00

Для знака охраны авторского права, попробовать на этой странице . [На самом деле, делать то, что @misterben говорит в его потрясающий ответ. Я оставлю эту ссылку в качестве любопытства.]

В качестве обобщенного ответа, если вы печатаете что-то странное, что вы часто не используете, сделайте поиск на слова, содержащего символ, и вырезать и вставить.

Например, на Википедии лингвистики страницу , зайти на любой из языков, перечисленных в левой колонке. Это решение также работает для специальных символов с правильного поиска.

+284
nepered 20 окт. 2010 г., 2:40:04

так как я начал использовать Ubuntu (9.04) я пытаюсь сделать мой веб-камера работает, но я не получил никакого успеха, 2 года прошло и я не получила никакого прогресса, то, некоторое время назад я оставить Windows из "Мой компьютер" навсегда и теперь я не могу использовать мою веб-камеру в любом случае.

Я вас спрашиваю: не пора ли попробовать мой собственный драйвер для веб-камеры? Если да, то как мне начать на нем, я знаю, немного пишу плагины, расширения, темы, но я никогда не получил мое внимание на водителей, так что вы мне посоветуете?

Дополнительную информацию:

  • команды lsusb
    • ????:eb1a Empia интегрированной веб-камеры элитной группы.
  • ноутбук - ноутбук ASUS A3H, Селерон м 380 1.6 ГГц 480 МБ
  • У меня есть два других внешних веб-камер, они признаются, но их разрешение не поддерживается.
  • Я помню эту команду lsusb, потому что это было 2 года попыток, но если я пытаюсь его сейчас в терминале вообще ничего не показывает, он остается как-то обрабатывать и не показывают какой-либо информации.
+256
Niki28 1 апр. 2015 г., 10:51:45

Ubuntu по умолчанию не установлен $содержат, так что ваш поиск может быть ограничен в свой ~/.{ба,з}кпчс и файлы, которые они включают

Путь поиска, который компилируется в команды Man можно увидеть с человеком -Вт. На моей системе (12.10), это возвращает /usr/местные/человек:/usr/местные/доли/человек:/usr/доли/человек

+219
Maria Rodriguez 5 окт. 2014 г., 14:45:45

У меня возникли проблемы с моим подключением по WiFi.

У меня есть два ноутбука, и я только что установил Ubuntu впервые на них обоих.

С первым я просто поставлю пароль, и он мгновенно вошел в интернет! Второй не был таким же, я предложено ввести пароль и его не связывает, кажется, что он не признает пароль как правильный (но это пока)

Настройки одинаковые на обоих компьютерах, я пробовал много предложений из форума, но ничего не работает, помогите!!!!

Спасибо

+185
rupertbg 22 янв. 2019 г., 9:21:35

Эта ошибка появляется, когда НТП сервер пытается синхронизировать местное время с помощью удаленного сервера.

Проверьте, если ваша машина имеет доступ в Интернет и порт 123/UDP не заблокировано:

Если вы хотите NTP-сервер без доступа в интернет вы не должны определить серверами НТП.файл conf, вы можете прокомментировать ее, добавив # в начало строки:

#0.ubuntu.pool.ntp.org сервер 
#сервер 1.ubuntu.pool.ntp.org 
#2.ubuntu.pool.ntp.org сервер 
#3.ubuntu.pool.ntp.org сервер 

Вы можете получить более подробную информацию по адресу: http://support.ntp.org/bin/view/Support/WebHome

+120
user1399713 22 июл. 2015 г., 6:10:31

Перезагрузка рекомендуется автоматического обновления , когда он видит, что в/var/выполнить/перезагрузки-обязательно существует. Файл создается и postinst (после установки) скрипты в некоторые пакеты, что-то вроде этого:

[ -X в /usr/доли/обновление-уведомитель/уведомлять-перезагрузка-требуется ] && \
/usr/доли/обновление-уведомитель/уведомлять-перезагрузка-требуется || верно

Если вы хотите увидеть, какие пакеты запускаются этого, вы можете взглянуть на содержимое каталога/var/запуск/перезагрузка-не требуется.пкгс файл.

Для получения дополнительной информации Также см. эту ветку.

+114
lygun 29 нояб. 2018 г., 15:40:32

Я с Ubuntu 12.04 64-бит. Мне нужно больше места на диске и моя текущая конфигурация выглядит следующим образом:

Размер файловой системы используется выгоде использования% установленной на

на /dev/loop0 17г, 17г 6.1 м 100% /

в udev 1,9 г 4.0 к 1,9 г 1% /Дев

файловая система tmpfs 773M 860K 772M 1% /запуск

ни одно 5.0 м 5.0 М 0 0% /запуск/блокировка

никто 1,9 г 364K 1,9 г 1% /работа/ГИМ

на /dev/sda3 в качестве 284 г 108 Г 176 г 38% /узла

переполнение 1.0 м 40К 984K 4% в /tmp

Размер окна раздела на/dev/sda3 в качестве намного больше, чем мне нужно. Я бы хотел высвободить около 100-125 ГБ и переместить его в Убунту раздел на/dev/loop0. Я ожидаю работы с базами данных около 25 ГБ, и хотят иметь место для роста.

Инструкции здесь: https://help.ubuntu.com/community/ResizeandDuplicateWubiDisk наиболее подходящие для использования?

Есть ли веская причина для меня, чтобы рассмотреть, используя различные формы установки Ubuntu?

+110
Rusty Ellis 19 янв. 2017 г., 22:29:23

Как видно из первого абзаца в Webmin документации на Убунту Вики и запуска, Webmin-это больше не поддерживается в Ubuntu. Вместо этого, пользователи отметили кожа eBox. Тот же вопрос, как сообщается на форумах и был полон решимости быть проблемы с Webmin , которая должна быть решена.

Вопрос было сообщено как ошибка против в Webmin здесь: http://sourceforge.net/tracker/?func=detail&aid=3081423&group_id=17457&atid=117457

Исправление представляется отредактировать файл/etc/apache2 не/envvars, цитировать jcameron:

Ок, спасибо .. теперь я вижу эту проблему. Исправление заключается в удалении $суффикса от линии :

экспорт APACHE_PID_FILE=/ВАР/работа/apache2 не$суффикса.пид экспорт APACHE_RUN_DIR=/ВАР/работа/apache2 не$суффикса экспорт APACHE_LOCK_DIR=/ВАР/Лок/apache2 не$суффикса экспорт APACHE_LOG_DIR=/ВАР/лог/apache2 не$суффикса

как она все равно будет пустой.

Так что у вас есть 3 варианта:

  1. Использовать кожа eBox
  2. Патч-файл самостоятельно решить вопрос
  3. Ждать в Webmin сопровождающий исправил ошибку и новые пакеты, которые будут освобождены.
+80
grm 3 июн. 2014 г., 9:19:20

Вы можете:

  • Использовать Xubuntu В
  • Использовать Lbuntu
  • Использовать его в качестве тонкого клиента с UbuntuLTSP
  • Установки Gentoo, и скомпилировать все с конкретного процессора и оптимизирована флаги. Только преувеличивать с флагами, если вы не возражаете, имеющих неустойчивую систему.
+32
NortherWar 28 янв. 2018 г., 18:34:20

Показать вопросы с тегом